Description

When you insert an gridelements element on a page and want to edit it after you saved and closed it, an error occurs which says
"Sorry, you didn't have proper permissions to perform this change." (german: "Sie haben nicht die nötigen Rechte, um diese Änderung
durchzuführen.").
This only happens with the just released 6.2.4 and only on module "page". It works fine when you edit it via list view or if you switch
back to 6.2.3. In my tests this happend to all new inserted elements. Some "old" ge elements didn't throw this error.

The gridelements version is the current 3.0.0-dev master.

Related issues:
related to Core - Bug # 60199: Page module: tt_content records  are not editable Resolved 2014-07-09
related to Dynamic Content Elements (DCE) - Bug # 60276: Grid Element + DCE Closed 2014-07-11
duplicated by Grid Elements - Bug # 60302: "Access denied" error when editing... Closed 2014-07-14

Associated revisions
Revision b6813310 - 2014-07-09 12:25 - Jo Hasenau

[BUGFIX] nextThree works with nested structures after breaking change

Change-Id: I3b7e9664a556f7c86f25f1efcfd62b0f8a0e1e01
Resolves: #60194

History
#1 - 2014-07-09 10:20 - Jo Hasenau
- Category set to Can not reproduce
- Status changed from New to Needs Feedback

Thanks for your feedback, but currently I can not reproduce it here.

What exactly are you doing and what kind of user (admin, editor) are you when this error happens?
To me it seems, that setting the correct permissions for the necessary fields (colPos, tx_gridelements_container, tx_gridelements_columns,
tx_gridelements_children, tx_gridelements_backend_layout) should do the job here.

#2 - 2014-07-09 11:07 - Simon Würstle

This even happens with admin accounts. I tested more and I figured out that this error only occurs when there is at least 1 ge element and 1 or more
other ge or normal content elements on one page. All elements following (ordered by field "sorting") after the first ge element can not be edited via
page module.

Jo Hasenau wrote:

Thanks for your feedback, but currently I can not reproduce it here.

What exactly are you doing and what kind of user (admin, editor) are you when this error happens?
To me it seems, that setting the correct permissions for the necessary fields (colPos, tx_gridelements_container, tx_gridelements_columns,
tx_gridelements_children, tx_gridelements_backend_layout) should do the job here.

#3 - 2014-07-09 11:56 - Jo Hasenau
- Category changed from Can not reproduce to General Bugs
- Status changed from Needs Feedback to Accepted
- Assigned To set to Jo Hasenau

It seems that the uid of each but the first element is missing in the link for the editing icon:

window.location.href='../../../alt_doc.php?returnUrl=%2Ftypo3%2Fsysext%2Fcms%2Flayout%2Fdb_layout.php%3Fid%3D26%26%23element-
tt_content-516&edit[tt_content][516,]=edit'; return false;

vs.

window.location.href='../../../alt_doc.php?returnUrl=%2Ftypo3%2Fsysext%2Fcms%2Flayout%2Fdb_layout.php%3Fid%3D26%26%23element-
tt_content-516&edit[tt_content][]=edit'; return false;

#4 - 2014-07-09 12:27 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/gridelements has been pushed to the review server.
It is available at https://review.typo3.org/31533

#5 - 2014-07-09 12:35 - Jo Hasenau
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b6813310fc0bc1dc9e8d6900557fbd461c4f1115.

#6 - 2014-07-09 12:57 - Sebastian Schmal

thanks! it works perfect!
#7 - 2014-07-13 11:47 - Jesper Paardekooper

I still have this issue on master and 6.2.4, exactly as described above.

#8 - 2014-07-15 10:04 - Patrick Fiedorowicz

The same error occurs on TYPO3 4.5.35.
When i switch back to 4.5.34 it works.

Do you plan a solution for 4.5.35?

#9 - 2014-07-24 10:15 - Christian Hernmarck

There must be a solution for 4.5.35...

Bug was introduced in 4.5.25, only in "one-language-pages" (with translated content, it works normally).
All edit icons except the first in a column bring the error, because the content-uid is missing in the link.
clicking in the content for editing works as expected.

#10 - 2014-07-24 10:37 - Christian Hernmarck

Sorry

Seems not to be that easy. I checked several sites and the problem only occurs with one site (I'm currecntly working on).

So I try to find the probem - maybe the "multicolumn" extension is not compatible to 4.5.35... ??

#11 - 2014-07-24 15:14 - Christian Hernmarck

For now it really seems to be a problem in the multicolumn extension.

The content-elements after the first multicolumn-content seem to be affected...

I'll look further with this extension since I still use 4.5 the movement to gridelements is not an alternative...

#12 - 2014-07-25 22:15 - Christian Hernmarck

Update - see #60199

2015-08-04 3/3


